aboutsummaryrefslogtreecommitdiff
path: root/dotfiles/.local
diff options
context:
space:
mode:
Diffstat (limited to 'dotfiles/.local')
-rwxr-xr-xdotfiles/.local/bin/menuwebsurf13
-rw-r--r--dotfiles/.local/share/applications/neomutt.desktop6
2 files changed, 15 insertions, 4 deletions
diff --git a/dotfiles/.local/bin/menuwebsurf b/dotfiles/.local/bin/menuwebsurf
index cb32299..9e1a7a9 100755
--- a/dotfiles/.local/bin/menuwebsurf
+++ b/dotfiles/.local/bin/menuwebsurf
@@ -6,19 +6,24 @@
. ~/.config/bemenurc
searchurl="https://srx.yaroslavps.com/search?q="
-histf="$HOME/.config/vimb/history"
# Have to use this "hack" because bemenu doesn't know how to paste
if [ "$1" = "paste" ]; then
prompt="$(wl-paste)"
else
- prompt="$(cat "$histf")"
+ qmarks="$HOME/.config/qutebrowser/quickmarks"
+ hist="$HOME/.local/share/qutebrowser/history.sqlite"
+ prompt="$(sqlite3 -separator ' ' "$hist" \
+ 'select title, url from CompletionHistory' |
+ cat "$qmarks" -)"
fi
-choice=$(printf "%s" "$prompt" | bemenu -i -l 25 -p "Enter link or query:" --tf="$BEMENU_TF" --tb="$BEMENU_NB" --fb="$BEMENU_NB" --fn="$BEMENU_FN" --nb="$BEMENU_NB" --nf="$BEMENU_NF" --hf="$BEMENU_HF" --hb="$BEMENU_HB" --monitor="$BEMENU_MONITOR") || exit 1
+choice=$(printf "%s" "$prompt" |
+ bemenu -i -l 25 -p "Enter link or query:" --tf="$BEMENU_TF" --tb="$BEMENU_NB" --fb="$BEMENU_NB" --fn="$BEMENU_FN" --nb="$BEMENU_NB" --nf="$BEMENU_NF" --hf="$BEMENU_HF" --hb="$BEMENU_HB" --monitor="$BEMENU_MONITOR") || exit 1
if echo "$choice" | egrep ".*://.*" >/dev/null 2>&1; then
- choice="$(echo "$choice" | cut -f 1)"
+ choice="$(echo "$choice" | sed -E 's/[^ ]+ +//g' |
+ grep -E "https?:" || echo "$choice")"
mimeo "$choice"
else
$BROWSER "$choice"
diff --git a/dotfiles/.local/share/applications/neomutt.desktop b/dotfiles/.local/share/applications/neomutt.desktop
new file mode 100644
index 0000000..326ccfc
--- /dev/null
+++ b/dotfiles/.local/share/applications/neomutt.desktop
@@ -0,0 +1,6 @@
+[Desktop Entry]
+Name=neomutt
+GenericName=Email Client
+Exec=neomutt %u
+Terminal=true
+MimeType=x-scheme-handler/mailto